      SUBROUTINE NUCHAR(LINE,VALUE,NVALUE)
      implicit double precision (A-H,O-Z)
************************************************************************
*
*   NUCHAR  DETERMINS AND returnS THE REAL VALUES OF ALL NUMBERS
*           FOUND IN 'LINE'. ALL CONNECTED SUBSTRINGS ARE ASSUMED
*           TO CONTAIN NUMBERS
*   ON ENTRY LINE    = character STRING
*   ON EXIT  VALUE   = ARRAY OF NVALUE REAL VALUES
*
************************************************************************
      dimension VALUE(40),ISTART(40)
      character*80 LINE
      character*1 TAB,COMMA,SPACE
      logical LEADSP
      save COMMA, SPACE
      include 'MOP6FILE'
      data COMMA,SPACE/',',' '/
      TAB=CHAR(9)
*
* CLEAN OUT TABS AND COMMAS
*
      do 10 I=1,80
   10 if (LINE(I:I).EQ.TAB.OR.LINE(I:I).EQ.COMMA) LINE(I:I)=SPACE
*
* FIND INITIAL DIGIT OF ALL NUMBERS, CHECK FOR LEADING SPACES FOLLOWED
*     BY A character
*
      LEADSP=.TRUE.
      NVALUE=0
      do 20 I=1,80
         if (LEADSP.AND.LINE(I:I).NE.SPACE) then
            NVALUE=NVALUE+1
            ISTART(NVALUE)=I
         end if
         LEADSP=(LINE(I:I).EQ.SPACE)
   20 continue
*
* FILL NUMBER ARRAY
*
      do 30 I=1,NVALUE
         VALUE(I) = READA(LINE,ISTART(I))
   30 continue
      return
      end
